Bug Hunting Session
Bug 106217 - Size and position of a chart with an overlaid drawing are wrong when loaded from .pptx
Summary: Size and position of a chart with an overlaid drawing are wrong when loaded f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-27 13:42 UTC by Tor Lillqvist
Modified: 2017-05-31 06:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (46.85 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-27 13:58 UTC, Tor Lillqvist
Details
comparison MSO 2010 and LibreOffice 5.4 (23.19 KB, image/png)
2017-02-27 18:32 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-02-27 13:42:49 UTC
Description:
See attached sample document


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/602.4.8 (KHTML, like Gecko) Version/10.0.3 Safari/602.4.8
Comment 1 Tor Lillqvist 2017-02-27 13:58:43 UTC
Created attachment 131509 [details]
Sample document

As can be seen by opening it in PowerPoint, the chart should reach to about half the width of the slide, and the red circle should overlay it and enclose the "Germany" text.
Comment 2 Tor Lillqvist 2017-02-27 14:01:15 UTC
Some notes about drawing1.xml:

In PowerPoint:

- Modifying cdr:from, cdr:to, or a:xfrm has no effect on the size or
  position of the chart

- Modifying a:xfrm has no effect on the size or position of the
  overlaid circle

- Modifying cdr:from and cdr:to effects the circle in a fairly obvious
  way; when from 0,0 to 1,1 it covers the whole chart etc

- Commenting out the elements that actually construct the circle
  (a:prstGeom, a:noFill, a:ln and a:effectLst) makes the circle go
  away, the chart stays the same as always

In Impress:

- Modifying cdr:from and cdr:to has no effect on chart or circle.

- Modifying a:xfrm affects both the size and position of the chart
  *and* of the circle

- Commenting out the elements that actually construct the circle
  (a:prstGeom, a:noFill, a:ln and a:effectLst) makes the circle go
  away, the chart is as it should be
Comment 3 Tor Lillqvist 2017-02-27 14:01:43 UTC
Also, it's interesting that if I comment out the <c:userShapes r:id="rId3" /> from chart1.xml, then the chart shows up the correct size and place (but without the overlaid red ring, of course).
Comment 4 Xisco Faulí 2017-02-27 18:31:59 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: bd8c68c99cce51a3368d8ddfd6e11dccb72d8f49
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 Xisco Faulí 2017-02-27 18:32:24 UTC
Created attachment 131516 [details]
comparison MSO 2010 and LibreOffice 5.4
Comment 6 Tor Lillqvist 2017-02-27 20:55:51 UTC
I guess the one way forward is to first figure out why the xfrm affects both the chart and the overlaid drawing (circle). If I at least first could make it affect only the circle and then next get rid of that, and make the cdr:from and to instead affect only the circle.
Comment 7 Commit Notification 2017-03-11 09:44:48 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa204f1c09a760d6753c408376ab7307fb13ad91

tdf#106217: Wrong size and position of a shape inside chart

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-17 10:26:08 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=878986249ee8155f7dfc0940f2c1a81c01748473&h=libreoffice-5-3

tdf#106217: Wrong size and position of a shape inside chart

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Tor Lillqvist 2017-03-17 10:29:57 UTC
As I assumed / feared, the fix was just a few lines in the right place;) But I was not able to find the right thing to do in the right place. Thanks Tamás!
Comment 10 Commit Notification 2017-04-12 11:59:24 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=676dcf204ac7e1326a48be30a2a5f825a2a8eb26&h=libreoffice-5-2

tdf#106217: Wrong size and position of a shape inside chart

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 vihsa 2017-05-31 06:30:08 UTC
only red circle is visible on version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1 for the attachment.